Page MenuHomePhabricator

key 'rsion=' is not in a proper format
Closed, DeclinedPublic

Description

2012-10-23 15:02:26 mw62 commonswiki: [53a88f26] /w/api.php?format=xml&action=upload Exception from line 111 of /usr/local/apache/common-local/php-1.21wmf2/includes/upload/UploadStash.php: key 'rsion=' is not in a proper format

Not sure if this is an API bug. Or likely an UploadWizard bug...?


Version: 1.21.x
Severity: normal

Details

Reference
bz41306

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:09 AM
bzimport set Reference to bz41306.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Oct 23 2012, 3:04 PM

The exception log is refusing to give me a trace for this one, so I live-hacked wfGetAllCallers(false) into the exception message:

2012-10-24 18:46:03 mw70 commonswiki: [2f5ca212] /w/api.php?format=xml&action=upload Exception from line 112 of /usr/local/apache/common-local/php-1.21wmf2/includes/upload/UploadStash.php: key 'rsion=' is not in a proper format require/ApiMain::execute/ApiMain::executeActionWithErrorHandling/ApiMain::executeAction/ApiUpload::execute/ApiUpload::selectUploadModule/UploadFromChunks::continueChunks/UploadStash::getMetadata/UploadStash::getFile

jgerber wrote:

[USER-AGENT] => Wiki.java 0.26

so this must be http://code.google.com/p/wiki-java/source/browse/trunk/src/org/wikipedia/Wiki.java

i see no rsion in the code, on the other hand svn is at 0.27 and the released
version 0.26 did not have chunk support at all.
so someone must be using that file.

the page mentions

"""Bug reports can go to [[User talk:MER-C]] (fast) or the tracker
(slow). Before reporting character encoding problems, please display
the output in a JOptionPane to isolate your development
environment.""" http://en.wikipedia.org/wiki/User_talk:MER-C

possibly we can get them involved here.

after a quick look at the java code my guess is that the multipartPost function is broken, it does not use

Content-Disposition: file; name="chunk"; filename="foo.ogv"
Content-Type: application/ogg
data

for the chunk but

Content-Disposition: form-data; name="chunk"; filename="foo.ogv"
Content-Type: application/octet-stream
data

not sure if that causes parsing errors in php.

Is this still occurring?
If so, has a bug been raised in the clients issue tracker?

Aklapper changed the task status from Open to Stalled.Mar 9 2015, 2:14 PM
Aklapper added a subscriber: Aklapper.

so this must be http://code.google.com/p/wiki-java/source/browse/trunk/src/org/wikipedia/Wiki.java

! In T43306#472374, @jayvdb wrote:

Is this still occurring?
If so, has a bug been raised in the clients issue tracker?

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:57 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 5:57 PM
Krinkle closed this task as Declined.Oct 27 2018, 9:30 PM
Krinkle added a subscriber: Krinkle.

Not seen in WMF Logstash for at least 30 days.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM